accrue.analysis.interprocanalysis

## Class EdgeIdentifier_c

- java.lang.Object
- - accrue.analysis.interprocanalysis.EdgeIdentifier_c

- All Implemented Interfaces:
    EdgeIdentifier

      public class EdgeIdentifier_c
      extends java.lang.Object
      implements EdgeIdentifier

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface accrue.analysis.interprocanalysis.EdgeIdentifier

      `EdgeIdentifier.EdgeType, EdgeIdentifier.ExceptionEdge, EdgeIdentifier.HeapUseKey, EdgeIdentifier.LocalUseKey`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EdgeIdentifier.EdgeType` | `key`
    `protected NodeIdentifier` | `target`

    - ### Fields inherited from interface accrue.analysis.interprocanalysis.EdgeIdentifier

      `EDGE_CALL, EDGE_CONTROL, EDGE_FALSE, EDGE_INIT, EDGE_RETURN, EDGE_TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdgeIdentifier_c(EdgeIdentifier.EdgeType key, NodeIdentifier target)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `EdgeIdentifier.EdgeType` | `getKey()`
    `NodeIdentifier` | `getTarget()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### key

          protected final EdgeIdentifier.EdgeType key

    - #### target

          protected final NodeIdentifier target

  - ### Constructor Detail

    - #### EdgeIdentifier_c

          public EdgeIdentifier_c(EdgeIdentifier.EdgeType key,
                          NodeIdentifier target)

  - ### Method Detail

    - #### getKey

          public EdgeIdentifier.EdgeType getKey()

      Specified by:
        `getKey` in interface `EdgeIdentifier`

    - #### getTarget

          public NodeIdentifier getTarget()

      Specified by:
        `getTarget` in interface `EdgeIdentifier`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`